[Overview][Constants][Types][Classes][Index] | Reference for unit 'DynHashArray' (#lcl)

# EDynHashArrayException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Raised if index is invalid in IndexOfKey.

## Declaration

Source position: dynhasharray.pp line 166

`type EDynHashArrayException = class(Exception) end;`

## Inheritance

`EDynHashArrayException` |  | Raised if index is invalid in IndexOfKey.
`Exception`
`TObject`

## Description

The index can be invalid if user-defined/custom function are faulty.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.